Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.jarv
Class FactoryImpl

    java.lang.Object
      org.iso_relax.verifier.VerifierFactory
          com.sun.msv.verifier.jarv.FactoryImpl

Direct Known Subclasses:
  DTDFactoryImpl, RELAXCoreFactoryImpl, RELAXNGFactoryImpl, TheFactoryImpl, TREXFactoryImpl, XSFactoryImpl

public abstract class FactoryImpl
extends org.iso_relax.verifier.VerifierFactory

base implementation of RELAXFactoryImpl and TREXFactoryImpl

Author:
  Kohsuke KAWAGUCHI

Method Summary
`org.iso_relax.verifier.Schema` | `compileSchema(org.xml.sax.InputSource source)`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`boolean` | `isFeature(java.lang.String feature)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver _resolver)`
`void` | `setFeature(java.lang.String feature, boolean v)`

Methods inherited from class org.iso_relax.verifier.VerifierFactory
`compileSchema, compileSchema, compileSchema, compileSchema, getProperty, newInstance, newInstance, newInstance, newVerifier, newVerifier, newVerifier, newVerifier, newVerifier, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setFeature

    public void setFeature(java.lang.String feature,
                           boolean v)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### isFeature

    public boolean isFeature(java.lang.String feature)
                      throws org.xml.sax.SAXNotRecognizedException,
                             org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver _resolver)

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

### compileSchema

    public org.iso_relax.verifier.Schema compileSchema(org.xml.sax.InputSource source)
                                                throws org.iso_relax.verifier.VerifierConfigurationException,
                                                       org.xml.sax.SAXException

  Throws:
    `org.iso_relax.verifier.VerifierConfigurationException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD